import 'package:flutter/material.dart';
import 'Retangulo.dart';
//método main() primeiro método executado
void main() {
  runApp(const MeuApp());
}

class MeuApp extends StatelessWidget {
  const MeuApp({super.key});

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Nome App', //define o nome do app
      //cor do tema
      theme: ThemeData(
        colorScheme:
            ColorScheme.fromSeed(seedColor: Color.fromARGB(255, 59, 85, 192)),
        useMaterial3: true,
      ),
      home: const PaginaInicio(nomeApp: 'Meu APP'),
    );
  }
}

class PaginaInicio extends StatefulWidget {
  const PaginaInicio({super.key, required this.nomeApp});
  final String nomeApp;

  @override
  State<PaginaInicio> createState() => _PaginaInicioState();
}

class _PaginaInicioState extends State<PaginaInicio> {
  final TextEditingController txtN1Controller = TextEditingController();
  final TextEditingController txtN2Controller = TextEditingController();

  String resposta = "";

  @override
  void dispose() {
    // Clean up the controller when the widget is disposed.
    txtN1Controller.dispose();
    txtN2Controller.dispose();

    super.dispose();
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        backgroundColor: Theme.of(context).colorScheme.inversePrimary,
        title: Text(widget.nomeApp),
      ),
      body: Center(
        child: componenteFormulario(),
      ),
    );
  }

  componenteTxtNota1() {
    TextField txtNota1 = TextField(
        controller: txtN1Controller,
        //controller: myController,
        decoration: InputDecoration(hintText: 'Nota 1'));
    return txtNota1;
  }

  componenteTxtNota2() {
    TextField txtNota2 = TextField(
        controller: txtN2Controller,
        decoration: const InputDecoration(hintText: 'Nota 2'));
    return txtNota2;
  }

  componenteLblResposta() {
    Text lblResposta = Text("Média: $resposta");
    return lblResposta;
  }

  double calcularMedia(double n1, double n2) {
    double x = n1;
    double y = n2;
    double r = (x + y) / 2;

    return r;
  }

  messageBox(String msg) {
    showDialog(
      context: context,
      builder: (context) {
        return AlertDialog(
          content: Text(msg),
        );
      },
    );
  }

  componenteBtnCalcular() {
    TextButton btn1 = TextButton(
      onPressed: () {
        double x = double.parse(txtN1Controller.text);
        double y = double.parse(txtN2Controller.text);
        double r = calcularMedia(x, y);
        if (r < 6.0) {
          messageBox("Reprovado");
        } else {
          messageBox("Aprovado");
        }
        setState(() {
          resposta = r.toString();
        });
      },
      child: const Text("Calcular 1"),
    );
    return btn1;
  }

componenteBtnAreaRetangulo() {
    TextButton btn1 = TextButton(
      onPressed: () {
        double b = double.parse(txtN1Controller.text);
        double h = double.parse(txtN2Controller.text);

        Retangulo ret1 = new Retangulo();
        ret1.altura=h;
        ret1.base=b;

        double a = ret1.area();;
        String r =a.toString();
  
        setState(() {
          resposta = r.toString();
        });
      },
      child: const Text("Calcular 1"),
    );
    return btn1;
  }
  componenteBtnTabuada() {
    TextButton btn1 = TextButton(
      onPressed: () {
        double x = double.parse(txtN1Controller.text);
        String r ="";
        for (var i = 0; i <= 10; i++) {
          double temp = i*x;
        r = "$r$x x $i=$temp\n";
        }
        setState(() {
          resposta = r.toString();
        });
      },
      child: const Text("Calcular 1"),
    );
    return btn1;
  }
   componenteBtnTabuadaDoWhile() {
    TextButton btn1 = TextButton(
      onPressed: () {
        double x = double.parse(txtN1Controller.text);
        String r ="";
        var i = 0;
        do{
          double temp = i*x;
          r = "$r$x x $i=$temp\n";
          i++;
        }while(i<=10);
        setState(() {
          resposta = r.toString();
        });
      },
      child: const Text("Calcular 1"),
    );
    return btn1;
  } 
  

 componenteBtnTabuadaWhile() {
    TextButton btn1 = TextButton(
      onPressed: () {
        double x = double.parse(txtN1Controller.text);
        String r ="";
        var i = 0;
        while(i<=10) {
          double temp = i*x;
          r = "$r$x x $i=$temp\n";
          i++;
        }
        setState(() {
          resposta = r.toString();
        });
      },
      child: const Text("Calcular 1"),
    );
    return btn1;
  }
  componenteFormulario() {
    return Center(
        child: Column(children: <Widget>[
      componenteTxtNota1(),
      componenteTxtNota2(),
      //componenteTxtNota2(),
      componenteBtnAreaRetangulo(),
      componenteLblResposta(),
    ]));
  }
}
